トップ «前の日記(2009-11-10) 最新 次の日記(2009-11-30)» 編集

3 日坊主日記


2009-11-20 [長年日記]

_ ruby postgresql

rubyのpostgresqlアダプタを調べ中。 PGconn.quote_identとかはまりまくった。

$ port search postgres
rb-postgres @0.7.1 (ruby, databases) # x 古い
$ gem search postgres -r
postgres (0.7.9.2008.01.28) # x 古い; libpq
postgres-pr (0.6.1) # x 古い; pure ruby
ruby-postgres (0.7.1.2006.04.06) # x 古い; macportsはこのversion

$ gem search pg -r
pg (0.8.0) # o これが正解; libpq
ruby-pg (0.7.9.2008.01.28) # 古い

わかんねえよ……

activerecord-2.3.4で

rake test_postgresql

が通ることを確認。

[]